# Class LoggerLayoutHtml

This layout outputs events in a HTML table.

Configurable parameters for this layout are:

- title
- locationInfo

An example for this layout:

{@example ../../examples/php/layout_html.php 19}

The corresponding XML file:

{@example ../../examples/resources/layout_html.properties 18}

The above will print a HTML table that looks, converted back to plain text, like the following:

       Log session start time Wed Sep 9 00:11:30 2009

       Time Thread Level Category   Message
       0    8318   INFO  root       Hello World!

  LoggerConfigurable
  LoggerLayout
  LoggerLayoutHtml

Package: log4php\layouts
Version: $Revision: 1379731 $
Located at layouts/LoggerLayoutHtml.php

Methods summary
`public` | # `setLocationInfo( mixed $flag )` The LocationInfo option takes a boolean value. By default, it is set to false which means there will be no location information output by this layout. If the the option is set to true, then the file name and line number of the statement at the origin of the log statement will be output. The LocationInfo option takes a boolean value. By default, it is set to false which means there will be no location information output by this layout. If the the option is set to true, then the file name and line number of the statement at the origin of the log statement will be output. If you are embedding this layout within a `LoggerAppenderMail` or a `LoggerAppenderMailEvent` then make sure to set the LocationInfo option of that appender as well.
`public` | # `getLocationInfo( )` Returns the current value of the LocationInfo option. Returns the current value of the LocationInfo option.
`public` | # `setTitle( mixed $title )` The Title option takes a String value. This option sets the document title of the generated HTML document. Defaults to 'Log4php Log Messages'. The Title option takes a String value. This option sets the document title of the generated HTML document. Defaults to 'Log4php Log Messages'.
`public string` | # `getTitle( )` #### Returns `string` Returns the current value of the Title option.
`public string` | # `getContentType( )` #### Returns `string` Returns the content type output by this layout, i.e "text/html". #### Overrides `LoggerLayout::getContentType()`
`public string` | # `format( `LoggerLoggingEvent` $event )` #### Parameters $event ``LoggerLoggingEvent`` $event #### Returns `string` #### Overrides `LoggerLayout::format()`
`public string` | # `getHeader( )` #### Returns `string` Returns appropriate HTML headers. #### Overrides `LoggerLayout::getHeader()`
`public string` | # `getFooter( )` #### Returns `string` Returns the appropriate HTML footers. #### Overrides `LoggerLayout::getFooter()`

Methods inherited from LoggerLayout
`activateOptions(), warn()`

Methods inherited from LoggerConfigurable
`setBoolean(), setFileSize(), setInteger(), setLevel(), setNumeric(), setPositiveInteger(), setString()`

Properties summary
`protected boolean` | $locationInfo | `false` | # The LocationInfo option takes a boolean value. By default, it is set to false which means there will be no location information output by this layout. If the the option is set to true, then the file name and line number of the statement at the origin of the log statement will be output. The LocationInfo option takes a boolean value. By default, it is set to false which means there will be no location information output by this layout. If the the option is set to true, then the file name and line number of the statement at the origin of the log statement will be output. If you are embedding this layout within a `LoggerAppenderMail` or a `LoggerAppenderMailEvent` then make sure to set the LocationInfo option of that appender as well.
`protected string` | $title | `"Log4php Log Messages"` | # The Title option takes a String value. This option sets the document title of the generated HTML document. Defaults to 'Log4php Log Messages'. The Title option takes a String value. This option sets the document title of the generated HTML document. Defaults to 'Log4php Log Messages'.